
Summary:	Default PCLinuxOS Configuration for Enlightenment
Name:		enlightenment-config
Version:	0.18.5
Release:	%mkrel 1
Group:		Graphical desktop/Enlightenment
Source: 	%{name}-%{version}.tar.xz
URL:		http://www.pclinuxos.com/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Obsoletes:	e-config

%description
Default PCLinuxOS Configuration Files for the Enlightenment
Desktop Enviroment.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%_sysconfdir/skel
cp -r .e %{buildroot}/%_sysconfdir/skel
cp -r .elementary %{buildroot}/%_sysconfdir/skel

%clean
rm -rf $RPM_BUILD_ROOT

%pre
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
do INP1= rm -rf /home/$idx/.e; done

#root
rm -rf /root/.e 


%posttrans
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}

for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.e; done

for idx in $SYSUSERS
 do INP1= cp -af /etc/skel/.e/* /home/$idx/.e; done

for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.elementary/config/standard; done
 
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.elementary/themes; done
 
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.e; done

for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.elementary; done 

 
#root
mkdir -p /root/.e
mkdir -p /root/.elementary/themes
mkdir -p /root/.elementary/config
cp -af /etc/skel/.e/* /root/.e



%files
%defattr(-,root,root)
/*

%changelog
* Fri Mar 07 2014 bb <bb> 0.18.5-1pclos2014
- create package for Enlightenment 0.18.5
